package com.ruoyi.ems.base.domain;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 分时电价维护对象 ems_base_share_price
 *
 * @author Yinq
 * @date 2024-06-11
 */
public class EmsBaseSharePrice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增标识
     */
    private Long objId;

    /**
     * 记录月份
     */
    @Excel(name = "记录月份")
    private String yearMonthDate;

    /**
     * 分时电价类型
     */
    @Excel(name = "分时电价类型")
    private String priceType;

    /**
     * 用电起始小时
     */
    @Excel(name = "用电起始小时")
    private String startHour;

    /**
     * 用电结束小时
     */
    @Excel(name = "用电结束小时")
    private String endHour;

    /**
     * 电单价
     */
    @Excel(name = "电单价")
    private BigDecimal dnbPrice;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setYearMonthDate(String yearMonthDate) {
        this.yearMonthDate = yearMonthDate;
    }

    public String getYearMonthDate() {
        return yearMonthDate;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setStartHour(String startHour) {
        this.startHour = startHour;
    }

    public String getStartHour() {
        return startHour;
    }

    public void setEndHour(String endHour) {
        this.endHour = endHour;
    }

    public String getEndHour() {
        return endHour;
    }

    public void setDnbPrice(BigDecimal dnbPrice) {
        this.dnbPrice = dnbPrice;
    }

    public BigDecimal getDnbPrice() {
        return dnbPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("yearMonthDate", getYearMonthDate())
                .append("priceType", getPriceType())
                .append("startHour", getStartHour())
                .append("endHour", getEndHour())
                .append("dnbPrice", getDnbPrice())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
